Versions of NI plugins compatible with Komplete Kontrol 2.96

evaluna
evaluna Member Posts: 6 Newcomer
I recently found out that I cannot update Komplete Kontrol to version 3 due to my KK mark 1 keyboard. My question is about all the other NI software I own from Komplete 14, such as Kontakt and Reaktor. Can I update these other packages to the latest versions through Native Access, or will I lose compatibility with the Komplete Kontrol plugin which is stuck on version 2.9? If I can only update some packages, which ones can I update? If I cannot, which versions are the last compatible versions, so I know where to "freeze" the system? If there is a page with this info on NI's site, please point me to it, I would appreciate it. Thanks.

Answers

Back To Top